RubyGems Navigation menu

tty-prompt 0.14.0

A beautiful and powerful interactive command line prompt with a robust API for getting and validating complex inputs.

Versions:

  1. 0.23.1 - April 17, 2021 (48.5 KB)
  2. 0.23.0 - December 14, 2020 (48.5 KB)
  3. 0.22.0 - July 20, 2020 (47.5 KB)
  4. 0.21.0 - March 08, 2020 (43.5 KB)
  5. 0.20.0 - November 24, 2019 (71 KB)
  6. 0.14.0 - January 01, 2018 (41.5 KB)
Show all versions (33 total)

Runtime Dependencies (5):

  • necromancer ~> 0.4.0
  • pastel ~> 0.7.0
  • timers ~> 4.1.2
  • tty-cursor ~> 0.5.0
  • tty-reader ~> 0.2.0
  • Development Dependencies (3):

  • bundler < 2.0, >= 1.5.0
  • rake >= 0
  • rspec ~> 3.0
  • Owners:

    Authors:

    • Piotr Murach

    SHA 256 checksum:

    be924c6dd8bd30cc50cfab131eb724e1b4adbda2fb3087af6d6f5539d4a3a032

    Total downloads 15,248,943

    For this version 52,875

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0.0

    Links: